Qt 5.7 | Qt 3D | C++ Classes | QBackendNodeMapper

Qt 5.7.1 Reference Documentation

# QBackendNodeMapper Class

(Qt3DCore::QBackendNodeMapper)

Creates and maps backend nodes to their respective frontend nodes More...

Header: | #include <QBackendNodeMapper>
qmake: | QT += 3dcore

- List of all members, including inherited members

## Public Functions

virtual | ~QBackendNodeMapper()
virtual QBackendNode * | create(const QNodeCreatedChangeBasePtr &change) const = 0
virtual void | destroy(QNodeId id) const = 0
virtual QBackendNode * | get(QNodeId id) const = 0

## Detailed Description

Creates and maps backend nodes to their respective frontend nodes

## Member Function Documentation

### `[virtual]` QBackendNodeMapper::~QBackendNodeMapper()

Destroys the instance of QBackendNodeMapper. The destructor is virtual.

### `[pure virtual]` QBackendNode *QBackendNodeMapper::create(const QNodeCreatedChangeBasePtr &change) const

TODO

change

Returns created node.

### `[pure virtual]` void QBackendNodeMapper::destroy(QNodeId id) const

Destroys the backend node for the given node id.

### `[pure virtual]` QBackendNode *QBackendNodeMapper::get(QNodeId id) const

Returns backend node for the given node id.